#include <iostream>
using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int a[n];
    int poznanici[n]={0};
    for(int i=0;i<n;i++)
    {
        cin>>a[i];
    }
    for(int i=0;i<m;i++)
    {
        int x,y;
        cin>>x>>y;
        x--;
        y--;
        poznanici[x]++;
        poznanici[y]++;
    }
    int br=0;
    for(int i=0;i<n;i++)
    {
        br+=poznanici[i];
    }
    cout<<br;
    return 0;
}